OpenTTD Source: Hotkey Struct Reference

OpenTTD Source 14.0-RC3

Public Member Functions | Data Fields
Hotkey Struct Reference

All data for a single hotkey. More...

`#include <hotkeys.h>`

## Public Member Functions
| Hotkey (uint16_t default_keycode, const std::string &name, int num)
| Create a new Hotkey object with a single default keycode. More...
| Hotkey (const std::vector< uint16_t > &default_keycodes, const std::string &name, int num)
| Create a new Hotkey object with multiple default keycodes. More...
void | AddKeycode (uint16_t keycode)
| Add a keycode to this hotkey, from now that keycode will be matched in addition to any previously added keycodes. More...

## Data Fields
const std::string | name
int | num
std::set< uint16_t > | keycodes

## Detailed Description

All data for a single hotkey.

The name (for saving/loading a configfile), a list of keycodes and a number to help identifying this hotkey.

Definition at line 21 of file hotkeys.h.

## Constructor & Destructor Documentation

## ◆ Hotkey() [1/2]

Hotkey::Hotkey | ( | uint16_t | default_keycode,
|  | const std::string & | name,
|  | int | num
| ) |  |

Create a new Hotkey object with a single default keycode.

Parameters

  default_keycode | The default keycode for this hotkey.
  name | The name of this hotkey.
  num | Number of this hotkey, should be unique within the hotkey list.

Definition at line 229 of file hotkeys.cpp.

## ◆ Hotkey() [2/2]

Hotkey::Hotkey | ( | const std::vector< uint16_t > & | default_keycodes,
|  | const std::string & | name,
|  | int | num
| ) |  |

Create a new Hotkey object with multiple default keycodes.

Parameters

  default_keycodes | An array of default keycodes terminated with 0.
  name | The name of this hotkey.
  num | Number of this hotkey, should be unique within the hotkey list.

Definition at line 242 of file hotkeys.cpp.

## Member Function Documentation

## ◆ AddKeycode()

void Hotkey::AddKeycode | ( | uint16_t | keycode | ) |

Add a keycode to this hotkey, from now that keycode will be matched in addition to any previously added keycodes.

Parameters

  keycode | The keycode to add.

Definition at line 256 of file hotkeys.cpp.

The documentation for this struct was generated from the following files:

- src/hotkeys.h
- src/hotkeys.cpp